#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-calc
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	The MATE calculator application
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	flex
BuildRequires	:	make
BuildRequires	:	mate-common
BuildRequires	:	itstool
BuildRequires	:	yelp-tools

Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
the calculator application that was previously in the OpenWindows
Deskset of the Solaris 8 operating system.

It incorporates a multiple precision arithmetic packages based on the
work of Professor Richard Brent, who has also kindly given me
permission to make it available.

## Calctool history.

Calctool was a project I worked on before I joined the OpenWindows
DeskSet engineering group at Sun. It was originally released to
comp.sources.unix in the late 1980's, and worked with many different
graphics packages including SunView, X11, Xview, NeWS and MGR. There
was also a version that worked on dumb tty terminals.

It used a double-precision maths library that was a combination of the
work of Fred Fish and various routines that were in the BSD 4.3 maths
library.

A lot of people in the community provided feedback in the form of
comments, bug reports and fixes. In 1990, I started working in the
DeskSet engineering group. I was working for Sun Microsystems in
Australia at the time, (having moved there from England in 1983).

I searched around looking for multiple precision maths libraries and
found a package called MP written in FORTRAN by Richard Brent. I
converted it to C, adjusted the glue between the resultant code and the
calctool code, and this went on to be the basis of the calculator that
was in the OpenWindows DeskSet. I also added scientific, financial and
logical modes. This calctool was also the basis of the dtcalc
application that is a part of CDE (albeit I had nothing to do with
that).

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.%{shortname}.calc.gschema.xml
%{_datadir}/help/*/%{name}/*.{page,png}
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}*.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

#removing ja manual
%{__rm} -fr help/ja

autoreconf -v -i -f 
./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--disable-schemas-compile			\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags} V=1


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
